Regenerate API Token

Regenerate API Token
Regenerate an API Token.

Regeneration of an API Token whose status is ACTIVE. API Token can be of SSO user or an oauth client.

Request
URI
POST
https://{api_host}/acs/t/{tenant}/api-tokens/regenerate
COPY
Path Parameters
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant

Request Body
RegenerateAPITokenRequestMedia of type(s) application/vnd.vmware.vidm.api-tokens.regenerate.request+json
Optional

Show optional properties

{
    "api_token": "vidb_NPCiZ..."
}
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "api_token": "vidb_NPCiZ..."
}
object
_links
Optional

The resource HATEOAS links. Usually includes a "self" link for this resource

string
api_token
Required

An active API Token of an oauth client or a SSO user to be regenerated.

Authentication
This operation uses the following authentication methods.
Responses
200

API Token regenerated successfully

Returns RegenerateAPITokenResponseMedia of type(s) application/vnd.vmware.vidm.api-tokens.regenerate.response+json
{
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "id": "string",
    "client_display_name": "string",
    "client_id": "string",
    "client_type": "string",
    "token_display_name": "string",
    "token_type": "string",
    "token_sub_type": "string",
    "token_suffix": "string",
    "api_token_ttl": 0,
    "access_token_ttl": 0,
    "acct": "string",
    "user_status": false,
    "expiration_date": "string",
    "last_access_time": "string",
    "created_date": "string",
    "modified_date": "string",
    "token_status": "string",
    "token_description": "string",
    "token": "string"
}

400

API Token is invalid or expired

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/vnd.vmware.vidm.api-tokens.regenerate.request+json' -d '{"api_token":"string"}' https://{api_host}/acs/t/{tenant}/api-tokens/regenerate